declare function local:getJeuInformationByJeuId($id_jeu as xs:integer)
as element()
{
  let $doc := doc("../ludotheque.xml")
  let $jeu := $doc//jeu[@id = $id_jeu]
  return if (exists($jeu)) 
    then 
      <info_jeu>
          {$jeu/*}
          {$doc//editeur[contains(@ids_jeu,$jeu/@id)]}
          {$doc//concepteur[contains(@ids_jeu, $jeu/@id)]}
          {$doc//licence[contains(@ids_jeu, $jeu/@id)]}
          {$doc//extension[@id_jeu = $jeu/@id]}
      </info_jeu>
    else
      <info_jeu/>
};

local:getJeuInformationByJeuId(1)